Device::USB::PCSensor::HidTEMPer::Device(3pm)

NAME
Device::USB::PCSensor::HidTEMPer::Device - Generic device class

VERSION
Version 0.02

SYNOPSIS
None

DESCRIPTION
This module contains a generic class that all HidTEMPer devices should inherit from, thereby keeping the implemented methods consistent and making it possible to use the same code to contact every supported device.

  CONSTANTS

•   CONNECTION_TIMEOUT

    USB communication timeout, specified in milliseconds.

  METHODS

•   new( $usb_device )

    Creates a new generic Device object.

•   identifier()

    This method is used to acquire the numerical value representing the device type identifier.

•   internal()

    Returns the corresponding Sensor object representing the internal sensor connected to the device. If the device does not have an internal sensor undef is returned.

•   external()

    Returns the corresponding Sensor object representing the external sensor connected to the device. If the device does not have an external sensor undef is returned.

•   init()

    Empty method that should be implemented in order to be able to initialize a object instance.

DEPENDENCIES
This module internally includes and takes use of the following packages:

  use Carp;
  use Device::USB;
  use Device::USB::Device;

This module uses the strict and warning pragmas.

BUGS
Please report any bugs or missing features using the CPAN RT tool.

FOR MORE INFORMATION
None

AUTHOR
Magnus Sulland < msulland@cpan.org >

ACKNOWLEDGEMENTS
None

COPYRIGHT & LICENSE
Copyright (c) 2010-2011 Magnus Sulland

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.